The BOOST_PP_COMMA macro expands to a comma.

#### Usage

BOOST_PP_COMMA()

#### Remarks

The preprocessor interprets commas as argument separators in macro invocations. Because of this, commas require special handling.

#### Requirements

Header: <boost/preprocessor/punctuation/comma.hpp>

#### Sample Code

    #include <boost/preprocessor/control/if.hpp>
    #include <boost/preprocessor/facilities/empty.hpp>
    #include <boost/preprocessor/punctuation/comma.hpp>

    BOOST_PP_IF(1, BOOST_PP_COMMA, BOOST_PP_EMPTY)() // expands to ,